/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 1, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.applicationservices.colorsync.CMScriptingPlugin;

//import dstep.AvailabilityMacros;
import dstep.applicationservices.colorsync.CMApplication;
import dstep.applicationservices.colorsync.CMBase;
import dstep.applicationservices.colorsync.CMTypes;
import dstep.coreservices.CoreServices;
import dstep.internal.Version;

static if (!D_LP64 && !Win32):
	
enum
{
	cmspInvalidImageFile = -4220,
	cmspInvalidImageSpace = -4221,
	cmspInvalidProfileEmbed = -4222,
	cmspInvalidProfileSource = -4223,
	cmspInvalidProfileDest = -4224,
	cmspInvalidProfileProof = -4225,
	cmspInvalidProfileLink = -4226	
}

enum
{
	cmspFavorEmbeddedMask = 0x00000001
}

extern (C):
	
CMError CMValidImage (/*const*/ FSSpec* spec);
CMError CMGetImageSpace (/*const*/ FSSpec* spec, OSType* space);
CMError CMEmbedImage (/*const*/ FSSpec* specFrom, /*const*/ FSSpec* specInto, bool repl, CMProfileRef embProf);
CMError CMUnembedImage (/*const*/ FSSpec* specFrom, /*const*/ FSSpec* specInto, bool repl);
CMError CMMatchImage (/*const*/ FSSpec* specFrom, /*const*/ FSSpec* specInto, bool repl, uint qual, CMProfileRef srcProf, uint srcIntent, CMProfileRef dstProf);
CMError CMProofImage (/*const*/ FSSpec* specFrom, /*const*/ FSSpec* specInto, bool repl, uint qual, CMProfileRef srcProf, uint srcIntent, CMProfileRef dstProf, CMProfileRef prfProf);
CMError CMLinkImage (/*const*/ FSSpec* specFrom, /*const*/ FSSpec* specInto, bool repl, uint qual, CMProfileRef lnkProf, uint lnkIntent);
CMError CMCountImageProfiles (/*const*/ FSSpec* spec, uint* count);
CMError CMGetIndImageProfile (/*const*/ FSSpec* spec, uint index, CMProfileRef* prof);
CMError CMSetIndImageProfile (/*const*/ FSSpec* specFrom, /*const*/ FSSpec* specInto, bool repl, uint index, CMProfileRef prof);